API Referenceapipatient-graphGET /v1/patients/{patient_id}/medications

GET /v1/patients/\{patient_id\}/medications

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • patient_id (string) required

Query parameters

  • status (string) —

Responses

200 Patient’s medications

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string"
    },
    "medications": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "patient_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "dosage": {
            "type": "string"
          },
          "frequency": {
            "type": "string"
          },
          "route": {
            "type": [
              "string",
              "null"
            ]
          },
          "prescriber_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "status": {
            "type": "string"
          },
          "started_at": {
            "type": "string"
          },
          "ended_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "notes": {
            "type": [
              "string",
              "null"
            ]
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "patient_id",
          "brand_id",
          "name",
          "dosage",
          "frequency",
          "route",
          "prescriber_id",
          "status",
          "started_at",
          "ended_at",
          "notes",
          "metadata",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "patient_id",
    "medications"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/{patient_id}/medications \
  -H "Authorization: Bearer $ACCESS_TOKEN"